aboutsummaryrefslogtreecommitdiffhomepage
path: root/performance-test/notmuch-time-test
diff options
context:
space:
mode:
authorGravatar David Bremner <bremner@debian.org>2012-12-16 10:55:51 -0400
committerGravatar David Bremner <bremner@debian.org>2012-12-25 08:49:24 -0400
commit047cd7a595f760a23415b9e38d7136325f28b114 (patch)
tree6bb6dc40af3978055628082264c8d0453541ef0c /performance-test/notmuch-time-test
parentf43b23f8e02dfd973a17e02d60f1e14e8b9da301 (diff)
perf-test: rename current tests as "time tests"
This is almost entirely renaming files, except for updating a few references to those file names, and changing the makefile target. A new set of memory tests will be run separately because they take much longer.
Diffstat (limited to 'performance-test/notmuch-time-test')
-rwxr-xr-xperformance-test/notmuch-time-test27
1 files changed, 27 insertions, 0 deletions
diff --git a/performance-test/notmuch-time-test b/performance-test/notmuch-time-test
new file mode 100755
index 00000000..54a208f7
--- /dev/null
+++ b/performance-test/notmuch-time-test
@@ -0,0 +1,27 @@
+#!/usr/bin/env bash
+
+# Run tests
+#
+# Copyright (c) 2005 Junio C Hamano
+#
+# Adapted from a Makefile to a shell script by Carl Worth (2010)
+
+if [ ${BASH_VERSINFO[0]} -lt 4 ]; then
+ echo "Error: The notmuch test suite requires a bash version >= 4.0"
+ echo "due to use of associative arrays within the test suite."
+ echo "Please try again with a newer bash (or help us fix the"
+ echo "test suite to be more portable). Thanks."
+ exit 1
+fi
+
+cd $(dirname "$0")
+
+TESTS="
+ T00-new
+ T01-dump-restore
+ T02-tag
+"
+
+for test in $TESTS; do
+ ./$test "$@"
+done